# ‹› `` `markdown.extensions.nl2br`

A Python-Markdown extension to treat newlines as hard breaks. Similar to GitHub-flavored Markdown’s behavior.

See the documentation for details.

Classes:

- `Nl2BrExtension` –

## ‹› `` `markdown.extensions.nl2br.Nl2BrExtension(**kwargs)`

Bases: `Extension`

Methods:

- `extendMarkdown` –

  Add a `SubstituteTagInlineProcessor` to Markdown.

### ‹› `` `markdown.extensions.nl2br.Nl2BrExtension.extendMarkdown(md)`

Add a `SubstituteTagInlineProcessor` to Markdown.